Bug 1163735 - -device pc-dimm fails to initialize on non-NUMA configs
Summary: -device pc-dimm fails to initialize on non-NUMA configs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Igor Mammedov
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-13 11:33 UTC by Igor Mammedov
Modified: 2015-03-05 09:58 UTC (History)
6 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.2-10.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:58:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Description Igor Mammedov 2014-11-13 11:33:22 UTC
Description of problem:

QEMU is not able to use pc-dimm device without NUMA configuration

/usr/libexec/qemu-kvm -object memory-backend-ram,id=m1,size=1M -device pc-dimm,memdev=m1

qemu-kvm: -device pc-dimm,memdev=m1: 'DIMM property node has value 0' which exceeds the number of numa nodes: 0
qemu-kvm: -device pc-dimm,memdev=m1: Device 'pc-dimm' could not be initialized


Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.1.2-2


How reproducible:
100%

Actual results:
QEMU exits with error

Expected results:
QEMU should initialize pc-dimm successfully

Comment 1 Miroslav Rezanina 2014-11-20 11:59:49 UTC
Fix included in qemu-kvm-rhev-2.1.2-10.el7

Comment 3 Igor Mammedov 2014-11-21 10:50:10 UTC
*** Bug 1150930 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2015-03-05 09:58:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.